#ifndef _KGR_PATCH_BSC1090869_H
#define _KGR_PATCH_BSC1090869_H

#if IS_ENABLED(CONFIG_KVM_INTEL)

int kgr_patch_bsc1090869_init(void);
void kgr_patch_bsc1090869_cleanup(void);


struct kvm_vcpu;
int kgr_handle_exception(struct kvm_vcpu *vcpu);

#define KGR_PATCH_BSC1090869_FUNCS				\
	KGR_PATCH_OBJ(handle_exception, kgr_handle_exception,	\
			"kvm_intel"),				\

#else /* !IS_ENABLED(CONFIG_KVM_INTEL) */

static inline int kgr_patch_bsc1090869_init(void) { return 0; }
static inline void kgr_patch_bsc1090869_cleanup(void) {}

#define KGR_PATCH_BSC1090869_FUNCS

#endif /* IS_ENABLED(CONFIG_KVM_INTEL) */
#endif
